import * as types from "../applicationinsights";
export interface AgentLogger {
    log(message?: any, ...optional: any[]): void;
    error(message?: any, ...optional: any[]): void;
}
/**
 * Sets the attach-time logger
 * @param logger logger which implements the `AgentLogger` interface
 */
export declare function setLogger(logger: AgentLogger): AgentLogger;
/**
 * Sets the string which is prefixed to the exsting sdkVersion, e.g. `ad_`, `alr_`
 * @param prefix string prefix, including underscore. Defaults to `ad_`
 */
export declare function setUsagePrefix(prefix: string): void;
/**
 * Try to setup and start this app insights instance if attach is enabled.
 * @param setupString connection string or instrumentation key
 */
export declare function setupAndStart(setupString?: any): typeof types | null;
